%define realname PyPar2

Name:		pypar2
Version:	1.4
Release:	%mkrel 13
License:	GPLv2
Group:		File tools
Summary:	Graphical frontend for the Linux par2 command line
URL:		http://pypar2.silent-blade.org/
Source0:	http://pypar2.silent-blade.org/uploads/Main/%{name}-%{version}.tar.bz2
# add a patch from Debian to Use list of tuples instead of depending on the
# iteration order of a dict; fixes a crash when launching pypar2
# http://bugs.debian.org/617966
Patch0:		pypar2-1.4-fix-crash-typeorder.patch
Patch1:         pypar2-1.4-desktop.patch
Patch2:         pypar2-1.4-xmldomext.patch
BuildArch:	noarch
BuildRequires:	python, pygtk2.0-devel, pygtk2.0-libglade, python-pyxml, desktop-file-utils, python-vte
Requires:	pygtk2.0, pygtk2.0-libglade, parchive2, python-pyxml, python-vte

%description
PyPar2 is a graphical frontend for the Linux par2 command line, 
written in Python. Its GUI uses GTK through the PyGTK library.

PyPar2 is designed to be very easy to use. For this reason:

    * Advanced settings are present, but hidden by default.
    * There is no preferences dialog, all selected options 
      are automatically saved and restored. 

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1
%patch2

%build


%install
rm -rf %{buildroot}

make install PREFIX=%{buildroot}/%{_prefix}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="System;Filesystem" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/pypar2.desktop

rm -f %{buildroot}/%{_bindir}/pypar2
echo "python /usr/share/pypar2/src/main.py" > %{buildroot}/%{_bindir}/pypar2

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%{_datadir}/applications/pypar2.desktop
%{_mandir}/man1/pypar2.*
%{_datadir}/%{name}/res/*.glade
%{_datadir}/%{name}/src/*.py*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/pix/*.png
%defattr(755,root,root)
%{_bindir}/pypar2


%changelog
* Sat Jan 25 2014 philippem <philippem> 1.4-13.mga4
+ Revision: 568153
- correct file association (mga#12256)

* Mon Oct 21 2013 umeabot <umeabot> 1.4-12.mga4
+ Revision: 539159
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 philippem <philippem> 1.4-11.mga4
+ Revision: 491526
+ rebuild (emptylog)

* Sun Jan 13 2013 umeabot <umeabot> 1.4-10.mga3
+ Revision: 378421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 17 2011 ahmad <ahmad> 1.4-9.mga1
+ Revision: 99584
- Add a patch from Debian to Use list of tuples instead of depending on the
  iteration order of a dict; fixes a crash when launching pypar2
  http://bugs.debian.org/617966; should fix (mga#1314)

* Tue Apr 12 2011 ahmad <ahmad> 1.4-8.mga1
+ Revision: 84028
- clean spec
- fix lincense tag
- drop old/unneeded scriptlets
- imported package pypar2

